# Suckless

Suckless, software that sucks less, is a type of [software](software.md), as well as an organization (http://suckless.org/), that tries to adhere to a high technological  minimalism, freedom and hackability, and opposes so called [bloat](bloat.md) which has been creeping into most "[modern](modern.md)" software. It is related to [Unix philosophy](unix_philosophy.md) and [KISS](kiss.md) but brings some new ideas onto the table.

Notable suckless promoters include [Luke Smith](luke_smith.md) and [Mental Outlaw](mental_outlaw.md).

## Attributes

- Extreme [minimalism](minimalism.md) and minimizing [dependencies](dependency.md).
- Configuration of software is part of its source code (`config.h`) and change of this configuration requires recompiling the software (which is extremely easy with suckless software). This removes the need for dealing with config files which requires special libraries, file systems and extra code.
- Mainly using two programming languages: C for compiled programs amd POSIX shell for scripting.
- Forking by default, software is distributed in source format, every user is supposed to create a personal customized fork and compile the software himself.
- Mods (extension/addons) are implemented and distributed as [patch](patch.md) files.
- Permissive licensing, usually MIT.
- Typical [lines-of-code](loc.md) limit being 10k or lower.

## History

Suckless in current form has existed since 2006 when the domain suckless.org was registered by a German guy Anselm R. Garbe who is the founder of the community. It has evolved from a community centered around specific software projects, most notably [wmii](wmii.md). Garbe has given interview about suckless in FLOSS Weekly episode 355.

In 2012 a core veteran member of suckless, [Uriel](uriel.md), has killed himself and became a [meme](meme.md).

## Projects

Notable projects developed by the suckless group include:

- [dwm](dwm.md)
- [st](st.md)
- [dmenu](dmenu.md)
- [surf](surf.md)